# $Revision: 1.4 $, $Date: 2002/06/26 23:30:10 $
%define         dictname gazetteer
Summary:	U.S. Gazetteer
Summary(pl):	Sownik nazw geograficznych w USA
Name:		dict-%{dictname}
Version:	1.3
Release:	3
License:	GPL
Group:		Applications/Dictionaries
Source0:	ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
Patch0:		%{name}-linux-sparc.patch
URL:		http://www.dict.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	dictzip
BuildRequires:	autoconf
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description
This package contains place names, population and location information
provided by the U.S. Census Bureau, formatted for use by dictionary
server in the dictd package. Zip Code information has ben merged with
the place name data.

%description -l pl
Pakiet zawiera nazwy miejsc, populacji i pooenia dostarczane przez
U.S. Census Bureau, sformatowane do wykorzystania przez dictd.
Informacje o kodach pocztowych zostay poczone z nazwami miejsc.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure
%{__make} db

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd/,%{_sysconfdir}/dictd}
%{__make} install dictdir="$RPM_BUILD_ROOT%{_datadir}/dictd/"

dictprefix=%{_datadir}/dictd/%{dictname}
echo "# U.S. Gazetteer
database %{dictname} {
    data  \"$dictprefix.dict.dz\"
    index \"$dictprefix.index\"
}
" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%post
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/*.dictconf
%{_datadir}/dictd/%{dictname}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dict-gazetteer.spec,v $
Revision 1.4  2002/06/26 23:30:10  undefine
- stupid patch dict-gazetteer-linux-sparc.patch to build on linux/sparc
- release 3

Revision 1.3  2002/05/21 23:12:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/10 21:43:10  kloczek
- release 2.

Revision 1.1  2002/05/09 19:49:17  qboosh
- fixed filename spelling (mv gazetter.spec gazetteer.spec)
- added pl summary

Revision 1.1  2002/05/06 16:38:22  undefine
- initial PLD version
